<?xml version="1.0" encoding="UTF-8"?>
<!--
 Copyright (c) 2000-2025 Ericsson Telecom AB
 All rights reserved. This program and the accompanying materials
 are made available under the terms of the Eclipse Public License v2.0
 which accompanies this distribution, and is available at
 https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html

 Contributors:
  Balasko, Jeno
  Raduly, Csaba
-->
<schema	xmlns="http://www.w3.org/2001/XMLSchema"
			targetNamespace="www.chapter_5_2.org">

	<!-- this file is: chapter_5_2_2.xsd -->

	<include schemaLocation="chapter_5_2_1.xsd"/>

	<!-- simpleType "foobar" -->

	<simpleType name="foobar">
		<restriction base="integer"/>
	</simpleType>

	<!-- attribute "foobar" -->

	<attribute name="foobar" type="integer"/>
	
	<complexType name="COMPONENTS">
		<sequence>
			<element name="Elem" type="boolean"/>
			<element name="elem" type="integer"/>
			<element name="Elem-1" type="boolean"/>
			<element name="elem-1" type="integer"/>
		</sequence>
	</complexType>

	<simpleType name="state">
		<restriction base="string">
			<enumeration value="Off"/>
			<enumeration value="off"/>
		</restriction>
	</simpleType>


	
</schema>
